import { OperationUnitSource } from "./OperationUnitSource";
/**
 * Operation unit corresponds to a vehicle on a case and it is related to the Assigned Resource values from SOS.
 */
declare class OperationUnit {
    unitId: string;
    status: string | undefined;
    role: string | undefined;
    source: OperationUnitSource | undefined;
    eta: Date | undefined;
    reportedInArea: string | undefined;
    /**
     *
     * @param unitId The unique id of the unit, corresponds to the Resource Id for Assigned Resource from SOS
     * @param status The current Status, also corresponds to the Status for Assigned Resource from SOS
     * @param role The role of the unit
     * @param source The source of the unit
     * @param eta The estimated time of arrival in epoch milliseconds UTC timezone
     * @param reportedInArea Corresponds to reportedInArea for Assigned Resource from SOS
     */
    constructor(unitId: string, status: string | undefined, role: string | undefined, source: OperationUnitSource | undefined, eta: Date | undefined, reportedInArea: string | undefined);
    static fromJSON(data: any): OperationUnit;
}
export { OperationUnit };
